<template>
  <div>
      <topartistc :artists="artists" />
  </div>
</template>


<script>

import api from '@/api/index.js'
import topartistc from '@/components/topartistc.vue'

export default {
  name: 'TopArtist',
  components: {
    topartistc
  },
  data(){
    return{
      artists:[]
    }
    
  },
  //HOOK
  created(){
    api.getArtists().then(response => (this.artists = response.data.topartists.artist))
  }
}
</script>
